/**
* https://material.angular.io/guide/typography
* 
*/

body{
    font: 300 14px/20px 'Open Sans', sans-serif;
    line-height: 1.2;
}


@mixin font-face($font-family, $url, $weight, $style) {
	@font-face {
		font-family: '#{$font-family}';
		src: url('#{$url}.eot');
		src: url('#{$url}.eot?#iefix') format('embedded-opentype'),
		     url('#{$url}.woff') format('woff'),
		     url('#{$url}.ttf') format('truetype'),
		     url('#{$url}.svg') format('svg');
		font-weight: $weight;
		font-style: $style;
	}
}

@include font-face('Droid Serif', '~assets/fonts/droid-serif/DroidSerif-Regular', normal, 400);
@include font-face('Droid Serif Bold', '~assets/fonts/droid-serif/DroidSerif-Bold', normal, 700);
@include font-face('Droid Serif Bold Italic', '~assets/fonts/droid-serif/DroidSerif-BoldItalic', italic, 700);
@include font-face('Droid Serif Italic', '~assets/fonts/droid-serif/DroidSerif-Italic', italic, 400);

$ibid-typography: mat-typography-config(
    $font-family:   'Oswald, sans-serif',
    $display-4:     mat-typography-level(8rem, 8rem, 300),
    $display-3:     mat-typography-level(4rem, 4rem, 400),
    $display-2:     mat-typography-level(3rem, 3rem, 400),
    $display-1:     mat-typography-level(2.5rem, 2.5rem, 400),
    $headline:      mat-typography-level(2rem, 2rem, 400),
    $title:         mat-typography-level(1.5rem, 1.5rem, 500),
    $subheading-2:  mat-typography-level(1.125rem, 1.75rem, 400),
    $subheading-1:  mat-typography-level(1.075rem, 1.2rem, 400),
    $body-1:        mat-typography-level(1rem, 1.2rem, 400),
    $body-2:        mat-typography-level(1rem, 1.2rem, 400),
    $caption:       mat-typography-level(0.85rem, 1rem, 400),
    $button:        mat-typography-level(1rem, 1rem, 500),
    $input:         mat-typography-level(1rem, 1.125, 400) 
);

@include angular-material-typography($ibid-typography);

// font families
$droid-serif-typography: mat-typography-config(
  $font-family: "'Droid Serif', serif"
);
$open-sans-typography: mat-typography-config(
  $font-family: "'Open Sans', sans-serif"
);
$oswald-typography: mat-typography-config(
  $font-family: 'Oswald, sans-serif'
);

.font-background{
    background-color: rgba(255,255,255,0.5);
    // width: max-content;
}

.font-droid-serif {
    font-family: mat-font-family($droid-serif-typography);
    line-height: 1.25;
}
.font-open-sans {
    font-family: mat-font-family($open-sans-typography);
    line-height: 1.1;
}
.font-oswald {
    font-family: mat-font-family($oswald-typography);
    line-height: 1.2;
}

.mat-display-4{
    @extend .font-droid-serif;
    @extend .font-background;
    letter-spacing: 0.05rem;
}
.mat-display-3{
    @extend .font-droid-serif;
    @extend .font-background;
}
.mat-display-2{
    @extend .font-droid-serif;
    @extend .font-background;
}
.mat-display-1{
    @extend .font-droid-serif;
    @extend .font-background;
}
.mat-h1, .mat-headline{
    @extend .font-oswald;
    @extend .font-background;
}
.mat-h2, .mat-title{
    @extend .font-oswald;
    @extend .font-background;
}
.mat-h3, .mat-subheading-2{
    @extend .font-oswald;
    @extend .font-background;
}
.mat-h4, .mat-subheading-1{
    @extend .font-open-sans;
    @extend .font-background;
}
.mat-body, .mat-body-1{
    @extend .font-open-sans;
    @extend .font-background;
}
.mat-body-strong, .mat-body-2{
    @extend .font-open-sans;
    @extend .font-background;
}
.mat-small, .mat-caption{
    @extend .font-open-sans;
    @extend .font-background;
}


.logo-ibid{
    @extend .mat-display-3;
    margin: 0;
    width: 100%;
    display: flex;
    justify-content: flex-end;
    .rotate-letter-b{
        width: 2.5rem;
        position: relative;
        &:after{
            content: "b";
            position: absolute;
            left: 0.1rem;
            animation: rotate-letter 20s ease-out 5s infinite both; 
        }
    }
    .rotate-letter-i{
        width: 1.5rem;
        position: relative;
        &:after{
            content: "i";
            position: absolute;
            left: 0.2rem;
            animation: rotate-letter 20s ease-out 5s infinite both; 
        }
    }
    .rotate-letter-d{
        width: 2.5rem;
        position: relative;
        &:after{
            content: "d";
            position: absolute;
            left: 0.1rem;
            animation: rotate-letter 20s ease-out 5s infinite both; 
        }
    }
}

@keyframes rotate-letter {
    0% {
        transform: rotateY(0);
    }
    33% {
        transform: rotateY(180deg);
    }
    66% {
        transform: rotateY(180deg);
    }
    100% {
        transform: rotateY(360deg);
    }
}



  